Package com.independentsoft.office.spreadsheet

# Class RunProperties

java.lang.Object
com.independentsoft.office.spreadsheet.RunProperties

public class RunProperties extends Object
The Class RunProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RunProperties()`
  Instantiates a new run properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RunProperties`
  `clone()`
  `int`
  `getCharacterSet()`
  Gets the character set.
  `DataBarColor`
  `getColor()`
  Gets the color.
  `String`
  `getFont()`
  Gets the font.
  `int`
  `getFontFamily()`
  Gets the font family.
  `RunVerticalAlignment`
  `getRunVerticalAlignment()`
  Gets the run vertical alignment.
  `FontScheme`
  `getScheme()`
  Gets the scheme.
  `double`
  `getSize()`
  Gets the size.
  `Underline`
  `getUnderline()`
  Gets the underline.
  `boolean`
  `isBold()`
  Checks if is bold.
  `boolean`
  `isCondense()`
  Checks if is condense.
  `boolean`
  `isExtend()`
  Checks if is extend.
  `boolean`
  `isItalic()`
  Checks if is italic.
  `boolean`
  `isOutline()`
  Checks if is outline.
  `boolean`
  `isShadow()`
  Checks if is shadow.
  `boolean`
  `isStrikeThrough()`
  Checks if is strike through.
  `void`
  `setBold​(boolean bold)`
  Sets the bold.
  `void`
  `setCharacterSet​(int characterSet)`
  Sets the character set.
  `void`
  `setColor​(DataBarColor color)`
  Sets the color.
  `void`
  `setCondense​(boolean condense)`
  Sets the condense.
  `void`
  `setExtend​(boolean extend)`
  Sets the extend.
  `void`
  `setFont​(String font)`
  Sets the font.
  `void`
  `setFontFamily​(int fontFamily)`
  Sets the font family.
  `void`
  `setItalic​(boolean italic)`
  Sets the italic.
  `void`
  `setOutline​(boolean outline)`
  Sets the outline.
  `void`
  `setRunVerticalAlignment​(RunVerticalAlignment runVerticalAlignment)`
  Sets the run vertical alignment.
  `void`
  `setScheme​(FontScheme scheme)`
  Sets the scheme.
  `void`
  `setShadow​(boolean shadow)`
  Sets the shadow.
  `void`
  `setSize​(double size)`
  Sets the size.
  `void`
  `setStrikeThrough​(boolean strikeThrough)`
  Sets the strike through.
  `void`
  `setUnderline​(Underline underline)`
  Sets the underline.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RunProperties

    public RunProperties()
    Instantiates a new run properties.

- ## Method Details

  - ### clone

    public RunProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isBold

    public boolean isBold()
    Checks if is bold.
    Returns:
      true, if is bold

  - ### setBold

    public void setBold​(boolean bold)
    Sets the bold.
    Parameters:
      `bold` - the new bold

  - ### getCharacterSet

    public int getCharacterSet()
    Gets the character set.
    Returns:
      the character set

  - ### setCharacterSet

    public void setCharacterSet​(int characterSet)
    Sets the character set.
    Parameters:
      `characterSet` - the new character set

  - ### getColor

    public DataBarColor getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(DataBarColor color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### isCondense

    public boolean isCondense()
    Checks if is condense.
    Returns:
      true, if is condense

  - ### setCondense

    public void setCondense​(boolean condense)
    Sets the condense.
    Parameters:
      `condense` - the new condense

  - ### isExtend

    public boolean isExtend()
    Checks if is extend.
    Returns:
      true, if is extend

  - ### setExtend

    public void setExtend​(boolean extend)
    Sets the extend.
    Parameters:
      `extend` - the new extend

  - ### getFontFamily

    public int getFontFamily()
    Gets the font family.
    Returns:
      the font family

  - ### setFontFamily

    public void setFontFamily​(int fontFamily)
    Sets the font family.
    Parameters:
      `fontFamily` - the new font family

  - ### isItalic

    public boolean isItalic()
    Checks if is italic.
    Returns:
      true, if is italic

  - ### setItalic

    public void setItalic​(boolean italic)
    Sets the italic.
    Parameters:
      `italic` - the new italic

  - ### getFont

    public String getFont()
    Gets the font.
    Returns:
      the font

  - ### setFont

    public void setFont​(String font)
    Sets the font.
    Parameters:
      `font` - the new font

  - ### isOutline

    public boolean isOutline()
    Checks if is outline.
    Returns:
      true, if is outline

  - ### setOutline

    public void setOutline​(boolean outline)
    Sets the outline.
    Parameters:
      `outline` - the new outline

  - ### getScheme

    public FontScheme getScheme()
    Gets the scheme.
    Returns:
      the scheme

  - ### setScheme

    public void setScheme​(FontScheme scheme)
    Sets the scheme.
    Parameters:
      `scheme` - the new scheme

  - ### isShadow

    public boolean isShadow()
    Checks if is shadow.
    Returns:
      true, if is shadow

  - ### setShadow

    public void setShadow​(boolean shadow)
    Sets the shadow.
    Parameters:
      `shadow` - the new shadow

  - ### isStrikeThrough

    public boolean isStrikeThrough()
    Checks if is strike through.
    Returns:
      true, if is strike through

  - ### setStrikeThrough

    public void setStrikeThrough​(boolean strikeThrough)
    Sets the strike through.
    Parameters:
      `strikeThrough` - the new strike through

  - ### getSize

    public double getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(double size)
    Sets the size.
    Parameters:
      `size` - the new size

  - ### getUnderline

    public Underline getUnderline()
    Gets the underline.
    Returns:
      the underline

  - ### setUnderline

    public void setUnderline​(Underline underline)
    Sets the underline.
    Parameters:
      `underline` - the new underline

  - ### getRunVerticalAlignment

    public RunVerticalAlignment getRunVerticalAlignment()
    Gets the run vertical alignment.
    Returns:
      the run vertical alignment

  - ### setRunVerticalAlignment

    public void setRunVerticalAlignment​(RunVerticalAlignment runVerticalAlignment)
    Sets the run vertical alignment.
    Parameters:
      `runVerticalAlignment` - the new run vertical alignment